Subject: Re: [TopGit PATCH] .gitignore += vim swap files

From: Kirill Smelkov <[email-masked]>
Date: Fri, 19 Sep 2008 11:28:51 +0400

On Fri, Sep 19, 2008 at 09:10:24AM +0200, Bert Wesarg wrote:
> On Fri, Sep 19, 2008 at 07:06, Kirill Smelkov <[email-masked]> wrote:
> > On Thu, Sep 18, 2008 at 03:30:35PM -0400, Daniel Barkalow wrote:
> >> On Thu, 18 Sep 2008, Bert Wesarg wrote:
> >>
> >> > On Thu, Sep 18, 2008 at 18:29, Kirill Smelkov <[email-masked]> wrote:
> >> > > Signed-off-by: Kirill Smelkov <[email-masked]>
> >> > > ---
> >> > >  .gitignore |    2 ++
> >> > >  1 files changed, 2 insertions(+), 0 deletions(-)
> >> > >
> >> > > diff --git a/.gitignore b/.gitignore
> >> > > index 8868f2d..aa39db4 100644
> >> > > --- a/.gitignore
> >> > > +++ b/.gitignore
> >> > > @@ -18,3 +18,5 @@ tg-import.txt
> >> > >  tg-remote
> >> > >  tg-remote.txt
> >> > >  tg
> >> > > +
> >> > > +*.swp
> >> > can't you do this in your .git/info/excludes?
> >>
> >> It's generally better to put a core.excludesfile entry in your
> >> ~/.gitconfig pointing to a ignore file with editor temporaries for the
> >> editor(s) you personally use. This will then apply to all git projects you
> >> work on.
> >
> > Yes, this makes sense, thanks.
> >
> > I've had to add the following to my ~/.gitconfig
> >
> > [core]
> >    excludesfile= /home/kirr/.gitignore-kirr
> >
> >
> > because it does not work when '~' is used for $HOME
> >
> > [core]
> >    excludesfile= ~/.gitignore-kirr # does not work
> Have you tried:
> 
>   [core]
>      excludesfile = .gitignore-kirr
> There was a discussion about relative files in config. but I didn't tried this.

It does not work for me -- it picks ./.gitignore-kirr instead of
~/.gitignore-kirr

> Anyway, I think this is the best solution. Don't globber the repos with this.

Don't you care more about machines than humans? :)

I think when we work on a tree, all the autogenerated files should be
ignored. This includes *.o and friends for sure, but since we also use
editors, and most people use same editors it makes sense to tune repo to
be ready to hack on with common setups.

And I think this

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=7088655477b51a5a248fa54190388e1283ba7ebf

just justifies my words.

-- 
    Всего хорошего, Кирилл.